Implement GEORADIUS_RO and GEORADIUSBYMEMBER_RO

This addresses #1502, #1487
RedisArray auth.

Issue #1508/
RedisArray auth.

Issue #1508/
RedisArray auth.

Issue #1508
RedisArray auth.

Issue #1508
Issue #1508

Wrap all calls of `call_user_function` into `ra_call_user_function`
where AUTH command sended before function call.
Issue #1508

Wrap all calls of `call_user_function` into `ra_call_user_function`
where AUTH command sended before function call.
Issue #1508

Wrap all calls of `call_user_function` into `ra_call_user_function`
where AUTH command sended before function call.
Merge pull request #1519 from phpredis/issue.1508

Issue #1508
RedisArray auth.

Issue #1508
Issue #1508

Wrap all calls of `call_user_function` into `ra_call_user_function`
where AUTH command sended before function call.
